<?php

/*
 * 拡張ユニットバージョンアップデート用スクリプト
 * トランザクション処理は本体側で行っております
 * @param tbl_unitのマスタ情報
 */
function extunit_update($param, $db) {
	switch(DBTYPE) {
	case "mysql":
				$sql[] = "CREATE TABLE extunit_extcatlist2_dummy (
        pageu_code integer NOT NULL DEFAULT '0',
        catlist_sidx_code integer DEFAULT NULL,
        catlist_cat_code text,
        catlist_label_code text,
        catlist_layout_pc smallint DEFAULT NULL,
        catlist_layout_sp smallint DEFAULT NULL,
        catlist_s_count integer DEFAULT NULL,
        catlist_limit integer DEFAULT NULL,
        catlist_pflg smallint DEFAULT '1',
        catlist_date_flg smallint DEFAULT '1',
        catlist_date_format text,
        catlist_rss smallint DEFAULT '1',
        catlist_new_flg smallint DEFAULT '1',
        catlist_comment_flg smallint DEFAULT '1',
        catlist_comming_flg smallint DEFAULT '0',
        catlist_label_flg smallint DEFAULT '0',
        catlist_new_days integer DEFAULT NULL,
        catlist_order smallint DEFAULT '1',
        catlist_sp_layout smallint NOT NULL DEFAULT '0',
        catlist_comming_text text,
        catlist_nodata_text text,
        catlist_link_text text,
        catlist_nophoto_img text,
        catlist_newicon_img text,
        catlist_effect text,
        catlist_speed smallint DEFAULT '1000',
        catlist_easing text,
        catlist_pager_flg smallint DEFAULT '0',
        catlist_pager_text text,
        catlist_pager_img text,
        catlist_pager_img_hover text,
        catlist_body_charcnt smallint DEFAULT '0',
        catlist_height 			text,
        catlist_margin			text,
        catlist_column 		smallint default 1,
        catlist_mesh_color 	text,
        catlist_mesh_opacity 	text,
        catlist_mesh_covered 	text,
        catlist_color 			text,
        catlist_hover_effect 	text,
        catlist_auto_centering smallint DEFAULT '0',
        use_sp_flg smallint DEFAULT '1',
        use_pc_flg smallint DEFAULT '1',
        bg_color smallint DEFAULT '0',
        bdr_type smallint DEFAULT '0',
        btm_padding smallint DEFAULT '2',
        bg_color_sp smallint DEFAULT '0',
        bdr_type_sp smallint DEFAULT '0',
        btm_padding_sp smallint DEFAULT '2',
        primary key (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8;";
		$sql[] ="insert into extunit_extcatlist2_dummy select * from extunit_extcatlist2;";
		$sql[] = "DROP TABLE extunit_extcatlist2";
		$sql[] = "CREATE TABLE extunit_extcatlist2 (
        pageu_code integer NOT NULL DEFAULT '0',
        catlist_sidx_code integer DEFAULT NULL,
        catlist_cat_code text,
        catlist_label_code text,
        catlist_layout_pc smallint DEFAULT NULL,
        catlist_layout_sp smallint DEFAULT NULL,
        catlist_s_count integer DEFAULT NULL,
        catlist_limit integer DEFAULT NULL,
        catlist_pflg smallint DEFAULT '1',
        catlist_date_flg smallint DEFAULT '1',
        catlist_date_format text,
        catlist_rss smallint DEFAULT '1',
        catlist_new_flg smallint DEFAULT '1',
        catlist_comment_flg smallint DEFAULT '1',
        catlist_comming_flg smallint DEFAULT '0',
        catlist_label_flg smallint DEFAULT '0',
        catlist_new_days integer DEFAULT NULL,
        catlist_order smallint DEFAULT '1',
        catlist_sp_layout smallint NOT NULL DEFAULT '0',
        catlist_comming_text text,
        catlist_nodata_text text,
        catlist_link_text text,
        catlist_nophoto_img text,
        catlist_newicon_img text,
        catlist_effect text,
        catlist_speed smallint DEFAULT '1000',
        catlist_easing text,
        catlist_pager_flg smallint DEFAULT '0',
        catlist_pager_text text,
        catlist_pager_img text,
        catlist_pager_img_hover text,
        catlist_body_charcnt smallint DEFAULT '0',
        catlist_height 			text,
        catlist_margin			text,
        catlist_column 		smallint default 1,
        catlist_mesh_color 	text,
        catlist_mesh_opacity 	text,
        catlist_mesh_covered 	text,
        catlist_color 			text,
        catlist_hover_effect 	text,
        catlist_auto_centering smallint DEFAULT '0',
        use_sp_flg smallint DEFAULT '1',
        use_pc_flg smallint DEFAULT '1',
        bg_color smallint DEFAULT '0',
        bdr_type smallint DEFAULT '0',
        btm_padding smallint DEFAULT '2',
        bg_color_sp smallint DEFAULT '0',
        bdr_type_sp smallint DEFAULT '0',
        btm_padding_sp smallint DEFAULT '2',
        primary key (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8;";
		$sql[] ="insert into extunit_extcatlist2 select * from extunit_extcatlist2_dummy;";
		$sql[] = "DROP TABLE extunit_extcatlist2_dummy";
			if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
			//mysql5.0以上の時はTYPEをENGINEに置換え
				foreach((array)$sql as $k => $v){
					$sql[$k] = str_replace('TYPE = InnoDB','ENGINE = InnoDB', $v);
				}
			}
			break;
		default:
			return  true;
			break;
	}
		//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}
	return true;
}
?>